/**
 * Show PHP variable path upon clicking on Krumo node
 *
 * Requires jquery version >= 1.3
 * Author Wouter S. van Dongen http://www.dongit.nl 
 */
jQuery(document).ready(function() {
	var krumo_name = [];
	var krumo_type = [];
	
	function krumo_traverse(el) {

		krumo_name.push(jQuery(el).html());
		krumo_type.push(jQuery(el).siblings('em').html().match(/\w*/)[0])
	
		if (jQuery(el).closest('.krumo-nest').length > 0) {
			krumo_traverse(jQuery(el).closest('.krumo-nest').prev().find('.krumo-name'));
		}
	}
	
	jQuery('.krumo-child > div:first-child').mousedown(function(e) {
		if (e.which === 3) {
			if (jQuery(this).find('> .krumo-php-path').length > 0){
				// Remove path if shown
				jQuery(this).find('> .krumo-php-path').remove();
			}
			else {
				// Get elements
				krumo_traverse(jQuery(this).find(' > a.krumo-name'));
	
				// Create path
				var krumo_path_string = '';
				for(var i = krumo_name.length - 1; i >= 0; --i) {
					//start element
					if ( (krumo_name.length - 1) == i) krumo_path_string += '$' + krumo_name[i];
					
					if (typeof krumo_name[(i-1)] !== 'undefined') {
						if (krumo_type[i] == 'Array') {
							krumo_path_string += "["
							if ( ! /^\d*$/.test(krumo_name[(i-1)]) ) krumo_path_string += "'";
							krumo_path_string += krumo_name[(i-1)] ;
							if ( ! /^\d*$/.test(krumo_name[(i-1)]) ) krumo_path_string += "'";
							krumo_path_string += "]";
						}
						if (krumo_type[i] == 'Object') krumo_path_string += '->' + krumo_name[(i-1)];
					}
					
				}	
				jQuery(this).append('<div class="krumo-php-path" style="font-family: Courier, monospace; font-weight: bold;">' + krumo_path_string + '</div>');
				
				// Reset arrays
				krumo_name = [];
				krumo_type = [];
			}
		}
	});
});